package com.ramos.munoz.tesis;

import java.util.ArrayList;

import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;

public class MapaDetalleTab3 extends Fragment {
    private static Context contexto;
    private static Estacionamiento estacionamiento;
    private static ArrayList<ServicioAdicional> serviciosAdicionales;

    public static Fragment nuevaInstancia(Context contexto, Estacionamiento estacionamiento) {
	MapaDetalleTab3.contexto = contexto;
	MapaDetalleTab3 f = new MapaDetalleTab3();
	MapaDetalleTab3.estacionamiento = estacionamiento;
	MapaDetalleTab3.serviciosAdicionales = MapaDetalleTab3.estacionamiento.getServicioAdicionales();
	return f;
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
	ViewGroup padre = (ViewGroup) inflater.inflate(R.layout.mapa_detalle_tab3, null);
	LinearLayout llPadre = (LinearLayout) padre.findViewById(R.id.llDetalleTab);

	if (estacionamiento.ServiciosAdicionalesCargados()) {
	    MapaDetalleTab3.serviciosAdicionales = MapaDetalleTab3.estacionamiento.getServicioAdicionales();

	    for (int i = 0; i < serviciosAdicionales.size(); i++) {
		ViewGroup v = (ViewGroup) inflater.inflate(R.layout.mapa_detalle_tab3_plantilla, null);
		TextView txtNombreServicio = (TextView) v.findViewById(R.id.txtNombreServicio);
		TextView txtValorServicio = (TextView) v.findViewById(R.id.txtPrecioServicio);

		String nombre = serviciosAdicionales.get(i).getNombre();
		String precio = String.valueOf(serviciosAdicionales.get(i).getValor());

		nombre = String.format(contexto.getString(R.string.msgeServicio, nombre));
		precio = String.format(contexto.getString(R.string.msgePrecio, precio));

		txtNombreServicio.setText(nombre);
		txtValorServicio.setText(precio);

		llPadre.addView(v);
	    }
	} else {
	    ViewGroup v = (ViewGroup) inflater.inflate(R.layout.mapa_detalle_estacionamiento_plantilla_sin_datos, null);
	    TextView t = (TextView) v.findViewById(R.id.txtMsgeSinDato);
	    t.setText(String.format(getString(R.string.msgeSinDato), getString(R.string.serviciosAdicionales)));
	    llPadre.addView(v);

	}

	return padre;
    }

}
